Index: uspace/app/tester/proc/task_wait.c
===================================================================
--- uspace/app/tester/proc/task_wait.c	(revision 70d28e8d1b2259d26ca6a608797be694ef1b5a15)
+++ uspace/app/tester/proc/task_wait.c	(revision 2f44fafd40f8f973f11708ad012462452388764f)
@@ -67,5 +67,5 @@
 	task_exit_t texit;
 
-	TPRINTF("11 match");
+	TPRINTF("11 match\n");
 
 	task_wait_set(&wait, TASK_WAIT_EXIT);
@@ -73,11 +73,13 @@
 	TASSERT(rc == EOK);
 
-	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("waiting...");
+	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("done.\n");
 	TASSERT(rc == EOK);
 	TASSERT(texit == TASK_EXIT_UNEXPECTED);
-	TPRINTF("OK");
+	TPRINTF("OK\n");
 	/* ---- */
 	
-	TPRINTF("12 lost wait");
+	TPRINTF("12 lost wait\n");
 
 	task_wait_set(&wait, TASK_WAIT_RETVAL);
@@ -85,10 +87,12 @@
 	TASSERT(rc == EOK);
 
-	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("waiting...");
+	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("done.\n");
 	TASSERT(rc == EINVAL);
-	TPRINTF("OK");
-	/* ---- */
-
-	TPRINTF("13 partial match");
+	TPRINTF("OK\n");
+	/* ---- */
+
+	TPRINTF("13 partial match\n");
 
 	task_wait_set(&wait, TASK_WAIT_RETVAL | TASK_WAIT_EXIT);
@@ -96,12 +100,14 @@
 	TASSERT(rc == EOK);
 
-	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("waiting...");
+	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("done.\n");
 	TASSERT(rc == EOK);
 	TASSERT(texit == TASK_EXIT_UNEXPECTED);
 	/* retval is undefined */
-	TPRINTF("OK");
-	/* ---- */
-
-	TPRINTF("21 ignore retval");
+	TPRINTF("OK\n");
+	/* ---- */
+
+	TPRINTF("21 ignore retval\n");
 
 	task_wait_set(&wait, TASK_WAIT_EXIT);
@@ -109,12 +115,14 @@
 	TASSERT(rc == EOK);
 
-	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("waiting...");
+	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("done.\n");
 	TASSERT(rc == EOK);
 	TASSERT(texit == TASK_EXIT_NORMAL);
 	/* retval is unknown */
-	TPRINTF("OK");
-	/* ---- */
-
-	TPRINTF("22 good match");
+	TPRINTF("OK\n");
+	/* ---- */
+
+	TPRINTF("22 good match\n");
 
 	task_wait_set(&wait, TASK_WAIT_RETVAL);
@@ -122,13 +130,15 @@
 	TASSERT(rc == EOK);
 
-	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("waiting...");
+	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("done.\n");
 	TASSERT(rc == EOK);
 	/* exit is not expected */
 	TASSERT(retval == EOK);
 	task_kill(tid); /* Terminate daemon */
-	TPRINTF("OK");
-	/* ---- */
-
-	TPRINTF("23 partial match (non-exited task)");
+	TPRINTF("OK\n");
+	/* ---- */
+
+	TPRINTF("23 partial match (non-exited task)\n");
 
 	// TODO should update wait for synchronized exit waiting
@@ -137,13 +147,15 @@
 	TASSERT(rc == EOK);
 
-	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("waiting...");
+	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("done.\n");
 	TASSERT(rc == EOK);
 	/* exit is not expected */
 	TASSERT(retval == EOK);
 	task_kill(tid); /* Terminate daemon */
-	TPRINTF("OK");
-	/* ---- */
-
-	TPRINTF("31 on exit return");
+	TPRINTF("OK\n");
+	/* ---- */
+
+	TPRINTF("31 on exit return\n");
 
 	task_wait_set(&wait, TASK_WAIT_EXIT);
@@ -151,13 +163,15 @@
 	TASSERT(rc == EOK);
 
-	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("waiting...");
+	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("done.\n");
 	TASSERT(rc == EOK);
 	TASSERT(texit == TASK_EXIT_NORMAL);
 	/* retval is unknown */
-	TPRINTF("OK");
-	/* ---- */
-
-
-	TPRINTF("32 keep retval until exit");
+	TPRINTF("OK\n");
+	/* ---- */
+
+
+	TPRINTF("32 keep retval until exit\n");
 
 	task_wait_set(&wait, TASK_WAIT_RETVAL);
@@ -165,5 +179,7 @@
 	TASSERT(rc == EOK);
 
-	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("waiting...");
+	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("done.\n");
 	TASSERT(rc == EOK);
 	/* exit is unknown */
@@ -172,8 +188,8 @@
 	rc = task_kill(tid);
 	TASSERT(rc == ENOENT);
-	TPRINTF("OK");
-	/* ---- */
-
-	TPRINTF("33 double good match");
+	TPRINTF("OK\n");
+	/* ---- */
+
+	TPRINTF("33 double good match\n");
 
 	task_wait_set(&wait, TASK_WAIT_RETVAL | TASK_WAIT_EXIT);
@@ -181,9 +197,11 @@
 	TASSERT(rc == EOK);
 
-	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("waiting...");
+	rc = task_wait(&wait, &texit, &retval);
+	TPRINTF("done.\n");
 	TASSERT(rc == EOK);
 	TASSERT(texit == TASK_EXIT_NORMAL);
 	TASSERT(retval == EOK);
-	TPRINTF("OK");
+	TPRINTF("OK\n");
 	/* ---- */
 
